Users (#3) - [XIOS] Error "xios-1.0/src/node/axis.cpp' -> The bounds array of the axis [ id = 'deptht' , context = 'nemo' ] must be of dimension axis 2 x size" (#21) - Message List

[XIOS] Error "xios-1.0/src/node/axis.cpp' -> The bounds array of the axis [ id = 'deptht' , context = 'nemo' ] must be of dimension axis 2 x size"
 solved

Dear NEMO team, i have been struggling with getting started with NEMO. I could compile xios1.0 and nemo and linked everything together, incl oasis3_mct. I follow the "getting started" guide and create my own config the GYRE reference and name it MY_CONFIG. I run it on the intel MISTRAL at DKRZ in Hamburg, all compiled with parallel netcdf and bullxmpi compilers with ifort 15. Finally, I can start the run, and get an ocean logfile. However, the xios dumps an error and kills the run, since it say:

"xios-1.0/src/node/axis.cpp', line 88 -> The bounds array of the axis [ id = 'deptht' , context = 'nemo' ] must be of dimension axis 2 x size"

I could actuall run the test_server.exe and test_client.exe of the xios library. The iodef.xml ot the MY_GYRE config actually defines this axis, but I have no idea why it's not running since I simply use MY_GYRE config. Thanks a lot!

Tree View Flat View (newer first) Flat View (older first)
  • Message #23

    Dear Lars,

    On this particular issue, there are already some closed tickets (#1664 and #1652) and, above all, the tutorial on XIOS specifies that:

    "Due to a change in the XIOS1.0 branch, NEMO v3.6 STABLE will only work up to revision 703 of the XIOS1.0 branch without modifying the code manually."

    So, I'm pretty sure you are using the HEAD of XIOS1 which is not compatible without modifications with 3.6 version of NEMO.

    A simple search on tickets would have given you the explanation, think about doing it before for the next time.

Tree View Flat View (newer first) Flat View (older first)

Attachments (2)

Download all attachments as: .zip